#
# spec file for package vdr (Version 0.94)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dvb gpp libgpp libjpeg
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils dvb e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         vdr
Copyright:    GPL
Group:        Applications/Multimedia
Requires:     dvb
Autoreqprov:  on
Version:      0.94
Release:      47
Summary:      Video Disk Recorder
Source: vdr-%{version}.tar.bz2
NoSource: 0
Patch:  VDR.dif

%description
This is a hard disk video recording software supporting the Siemens DVB-S card
and compatible devices.

Authors:
--------
    Klaus Schmidinger <kls@cadsoft.de> 
    Carsten Koch <Carsten.Koch@icem.de> 
    Plamen Ganev <pganev@com-it.net> 
    Heino Goldenstein <heino.goldenstein@microplex.de> 
    Guido Fiala <gfiala@s.netic.de> 
    Robert Schneider <Robert.Schneider@lotus.com> 
    Niels de Carpentier <niels@casema.net> 
    Martin Hammerschmid <martin@hammerschmid.com> 
    Bastian Guse <bastian@nocopy.de> 
    Matthias Schniedermeyer <ms@citd.de> 
    Miha Setina <mihasetina@softhome.net> 
    Alberto Carraro <bertocar@tin.it> 
    Deti Fliegl <deti@fliegl.de> 
    Dave Chapman <dave@dchapman.com> 
    Hans-Peter Raschke <Hans-Peter.Raschke@Wintermann-DatenService.de> 
    Peter Hofmann <software@pxh.de> 
    Axel Gruber <axel@agm.de> 
    Arnold Niessen <niessen@iae.nl> <arnold.niessen@philips.com> 
    Jrgen Sauer <jojo@automatix.de> 
    Benjamin Reichardt <reichard@math.uni-goettingen.de> 
    Henning Holtschneider <hh@holtschneider.com>

SuSE series: gra

%prep
%setup -n VDR
%patch

%build
make

%install
rm -fr /video
install -d -m 755 /video
install -m 644 channels.conf /video
install -m 755 vdr epg2html.pl svdrpsend.pl runvdr /usr/bin

%files
%doc CONTRIBUTORS FORMATS HISTORY INSTALL MANUAL README channels.conf.cable
%dir /video
%config(noreplace) /video/channels.conf
/usr/bin/vdr
/usr/bin/runvdr
/usr/bin/epg2html.pl
/usr/bin/svdrpsend.pl

%changelog -n vdr
* Tue Sep 04 2001 - uli@suse.de
- update -> 0.94 (lots of fixes and enhancements, mostly regarding
  timed recording)
* Mon Aug 27 2001 - uli@suse.de
- update -> 0.93
- The menus and the channel display now show the current date and time.
- The new Setup parameter MaxVideoFileSize can be used to customize the
  maximum size of the recorded video files.
- Timers that are currently recording are now marked with '#' in the "Timers"
  menu.
- Timers are now sorted in the "Timers" menu, showing the sequence in which
  they will be recording. This can be disabled in the "Setup" menu. Note
  that the "Mark" button doesn't work if timers are displayed sorted.
* Mon Aug 20 2001 - uli@suse.de
- update -> 0.92
* Mon Aug 13 2001 - uli@suse.de
- update -> 0.91
* Tue Aug 07 2001 - uli@suse.de
- update -> 0.90
- contains ac3dec -> nosource
* Mon Jul 30 2001 - uli@suse.de
- update -> 0.85
* Mon Jul 23 2001 - uli@suse.de
- update -> 0.84
* Tue Jun 26 2001 - uli@suse.de
- initial package
